Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.jms
Class ManagedTopicPublisher

    java.lang.Object
      org.jboss.seam.jms.ManagedTopicPublisher

    @Scope(value=EVENT)
    @Intercept(value=NEVER)
    @Install(value=false)
    public class ManagedTopicPublisher

extends Object

Manager for a JMS TopicPublisher for a named JMS topic

Author:
  Gavin King

Constructor Summary
`ManagedTopicPublisher()`

Method Summary
`void` | `create()`
`void` | `destroy()`
`javax.jms.Topic` | `getTopic()`
`String` | `getTopicJndiName()` The JNDI name of the topic
`javax.jms.TopicPublisher` | `getTopicPublisher()`
`void` | `setTopicJndiName(String jndiName)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ManagedTopicPublisher

    public ManagedTopicPublisher()

Method Detail

### getTopicJndiName

    public String getTopicJndiName()

  The JNDI name of the topic

### setTopicJndiName

    public void setTopicJndiName(String jndiName)

### getTopic

    public javax.jms.Topic getTopic()
                             throws NamingException

  Throws:
    `NamingException`

### create

    @Create
    public void create()
                throws javax.jms.JMSException,
                       NamingException

  Throws:
    `javax.jms.JMSException`
    `NamingException`

### destroy

    @Destroy
    public void destroy()
                 throws javax.jms.JMSException

  Throws:
    `javax.jms.JMSException`

### getTopicPublisher

    @Unwrap
    public javax.jms.TopicPublisher getTopicPublisher()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD